Subject: Re: bug#26599: patch for mwheel.el

From: Tak Kunihiro <[email-masked]>
Date: Thu, 27 Apr 2017 14:27:31 +0900 (JST)

>> >> I want to maintain scope with B instead of having scope with C before
>> >> another scrolling.
>> > 
>> > If that's what you want, why do you need to turn auto-hscroll-mode
>> > back on?  Just leave it off.
>> 
>> Yes.  However, after wheel cruise with auto-hscroll-mode nil, I want
>> to start editing.
>> 
>> Sooner or later I want to use C-a to go outside of current scope.
>> This is the timing when I want to set auto-hscroll-mode t.
> 
> You have the horizontal-scroll commands to do that, right?

Yes.

I consider two devices to scroll, that are keyboard and mouse.

Keyboard is the primary scroll device.  Thus I want to turn
auto-hscroll-mode t by default.

Occasionally I want to use mouse as scroll device.  When I use mouse,
I want to set turn auto-hscroll-mode nil, especially after
implementation of <wheel-right> and <wheel-left>.

When I come back to keyboard, I want to set auto-hscroll-mode t again.

| device   | auto-hscroll-mode |
|----------+-------------------|
| keyboard | t                 |
| mouse    | nil               |
| keyboard | t                 |
| mouse    | nil               |
| keyboard | t                 |

To do so, I want to call minor-mode on `mwheel-scroll'.